<?xml version="1.0" encoding="UTF-8"?>
<!--Multiple camera strategy config table-->
<MultiCameraConfigTable>
    <rule>
        <condition name = "ZOOM_RATIO" min = "0" max = "1.0"/>
        <dynamicCondition name = "TARGET_ZOOM_RATIO" min = "1.0" max = ""/>
        <dynamicCondition name = "ESCAPE_LEVEL" min = "0" max = "48"/>
        <outState>
            <camera name = "wide" prev = "true" marginPixel = "100"/>
            <camera name = "main" dynamic = "true"/>
        </outState>
    </rule>
    <rule>
        <condition name = "ZOOM_RATIO" min = "1.0" max = "1.5"/>
        <dynamicCondition name = "ESCAPE_LEVEL" min = "0" max = "48"/>
        <dynamicCondition name = "TARGET_ZOOM_RATIO" min = "0" max = "1.0"/>
        <outState>
            <camera name = "main" prev = "true"/>
            <camera name = "wide" dynamic = "true" />
        </outState>
    </rule>
    <rule>
        <condition name = "ZOOM_RATIO" min = "1.5" max = "2.3"/>
        <dynamicCondition name = "ESCAPE_LEVEL" min = "0" max = "48"/>
        <dynamicCondition name = "TARGET_ZOOM_RATIO" min = "2.3" max = ""/>
        <outState>
            <camera name = "main" prev = "true"/>
            <camera name = "tele" dynamic = "true"/>
        </outState>
    </rule>
    <rule>
        <condition name = "ZOOM_RATIO" min = "2.3" max = "3.66"/>
        <dynamicCondition name = "ESCAPE_LEVEL" min = "0" max = "48"/>
        <outState>
            <camera name = "main" prev = "true" marginPixel = "100"/>
            <camera name = "tele"/>
        </outState>
    </rule>
    <rule>
        <condition name = "ZOOM_RATIO" min = "3.66" max = ""/>
        <condition name = "ESCAPE_LEVEL" min = "48" max = "99999"/>
        <outState>
            <camera name = "tele" prev = "true"/>
        </outState>
    </rule>
    <rule>
        <condition name = "ZOOM_RATIO" min = "3.66" max = "11.00"/>
        <condition name = "LUMINANCE" min = "-5" max = "99999"/>
        <outState>
            <camera name = "tele" prev = "true"/>
            <camera name = "main" marginPixel = "100" numOfDelayFrames = "20"/>
        </outState>
    </rule>
    <rule>
        <condition name = "ZOOM_RATIO" min = "3.66" max = "11.00"/>
        <condition name = "LUMINANCE" min = "-100" max = "-15"/>
        <outState>
            <camera name = "main" prev = "true" marginPixel = "100"/>
            <camera name = "tele" numOfDelayFrames = "20"/>
        </outState>
    </rule>
    <rule>
        <condition name = "ZOOM_RATIO" min = "3.66" max = "11.00"/>
        <condition name = "CURRENT_PREV" value = "main"/>
        <outState>
            <camera name = "main" prev = "true" marginPixel = "100"/>
            <camera name = "tele"/>
        </outState>
    </rule>
    <rule>
        <condition name = "ZOOM_RATIO" min = "3.66" max = "11.00"/>
        <condition name = "CURRENT_PREV" value = "tele"/>
        <outState>
            <camera name = "tele" prev = "true"/>
            <camera name = "main" marginPixel = "100"/>
        </outState>
    </rule>
    <rule>
        <condition name = "ZOOM_RATIO" min = "3.66" max = "11.00"/>
        <outState>
            <camera name = "tele" prev = "true"/>
            <camera name = "main" marginPixel = "100"/>
        </outState>
    </rule>
    <rule>
        <condition name = "ZOOM_RATIO" min = "11.00" max = ""/>
        <outState>
            <camera name = "tele" prev = "true"/>
            <camera name = "main" marginPixel = "100"/>
        </outState>
    </rule>
</MultiCameraConfigTable>
